automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: languages 'f77'/ 'fc' should recommend AC_PROG_F77/FC


From: Ralf Wildenhues
Subject: Re: languages 'f77'/ 'fc' should recommend AC_PROG_F77/FC
Date: Wed, 30 Aug 2006 22:36:01 +0200
User-agent: Mutt/1.5.13 (2006-08-11)

Hello Alexandre,

* Alexandre Duret-Lutz wrote on Wed, Aug 30, 2006 at 08:58:07PM CEST:
> 
>  RW> OK to apply?
> 
> With a clone (or generalization, or whatever you see fit) of cxx2.test, yes.

Thanks.  Applied as follows.

Cheers,
Ralf

        * automake.in: Fortran 77 and Fortran should require variables
        F77 resp. FC to be defined, and suggest the respective Autoconf
        macros otherwise.
        * tests/fort1.test: New test.
        * tests/Makefile.am: Update.

Index: automake.in
===================================================================
RCS file: /cvs/automake/automake/automake.in,v
retrieving revision 1.1630
diff -u -r1.1630 automake.in
--- automake.in 30 Aug 2006 18:50:38 -0000      1.1630
+++ automake.in 30 Aug 2006 20:33:18 -0000
@@ -864,6 +864,7 @@
 # Fortran 77
 register_language ('name' => 'f77',
                   'Name' => 'Fortran 77',
+                  'config_vars' => ['F77'],
                   'linker' => 'F77LINK',
                   'link' => '$(F77LD) $(AM_FFLAGS) $(FFLAGS) $(AM_LDFLAGS) 
$(LDFLAGS) -o $@',
                   'flags' => ['FFLAGS'],
@@ -880,6 +881,7 @@
 # Fortran
 register_language ('name' => 'fc',
                   'Name' => 'Fortran',
+                  'config_vars' => ['FC'],
                   'linker' => 'FCLINK',
                   'link' => '$(FCLD) $(AM_FCFLAGS) $(FCFLAGS) $(AM_LDFLAGS) 
$(LDFLAGS) -o $@',
                   'flags' => ['FCFLAGS'],
Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.608
diff -u -r1.608 Makefile.am
--- tests/Makefile.am   14 Aug 2006 20:38:40 -0000      1.608
+++ tests/Makefile.am   30 Aug 2006 20:33:20 -0000
@@ -244,6 +244,7 @@
 fn99.test \
 fnoc.test \
 fo.test        \
+fort1.test \
 fonly.test \
 fortdep.test \
 fpinst2.test \
--- /dev/null   2006-08-29 22:16:50.434394568 +0200
+++ tests/fort1.test    2006-08-30 22:29:09.000000000 +0200
@@ -0,0 +1,36 @@
+#! /bin/sh
+# Copyright (C) 2002, 2003, 2006  Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Automake; see the file COPYING.  If not, write to
+# the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+
+# Test that Automake suggests using AC_PROG_F77/FC if Fortran sources
+# are used.
+
+. ./defs || exit 1
+
+set -e
+
+cat >Makefile.am <<END
+bin_PROGRAMS = hello
+hello_SOURCES = hello.f foo.f95
+END
+
+$ACLOCAL
+AUTOMAKE_fails
+grep AC_PROG_F77 stderr
+grep AC_PROG_FC stderr




reply via email to

[Prev in Thread] Current Thread [Next in Thread]